Bug 143968 - All opened windows seem transparent.The desktop bacground can be seen allways.
All opened windows seem transparent.The desktop bacground can be seen allways.
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2005-01-02 17:30 EST by Mihai Contras
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-17 08:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mihai Contras 2005-01-02 17:30:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux 2.4.27; X11) (KHTML, like Gecko)

Description of problem:
My technical knowledge - general user.
Hardware HP e-pc, Intel P3, 866 Mhz, 256Mb, 40 GB. (i386)
Monitors COMPAQ V500    than    ACER 7133s
FC2 was installed before and worked fine!
I performed a new installation of FC3 (the first stable release) from 
the 4 CD-s downloaded.Checked md5sum-all right.Installation performed
succesfully.System starts ok, with menu and everything.
Problem: ALL windows opened by ALL programs look transparent.They fire up and look like a frame.The menu on the upper side of the window is present.But instead of the content of the window, the background shows trough.It makes any navigation imposible.I've performed the installation twice.FC2 worked fine before and Knoppix Live CD (I use for when the system wouldn't work) works all right.That made me believe that it might be a bug and not the architecture.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Alexander Larsson 2005-02-09 04:43:22 EST
Seems like every window get background = None and then never expose.
Its like all apps just hang on startup.

This is clearly not a desktop-backgrounds bug. I dunno what it is
though, reassigning to X, since this could be X related somehow.
Comment 2 Mike A. Harris 2005-02-11 16:20:26 EST
Attach your X server log file, and config file as individual
uncompressed file attachments using the link below.
Comment 3 Mike A. Harris 2005-02-11 16:21:20 EST
Setting status to NEEDINFO, awaiting files requested above.
Comment 4 Mihai Contras 2005-02-13 07:49:25 EST
  Sorry Mike, I can't attach log files requested as I no longer use FC3.
I've got Mandrake 10.1 installed on the same machine.But if you want I
could redownload FC3 and reinstall it on a spare HD.That should take
some time (the download!).Please let me know!
Comment 5 Mike A. Harris 2005-02-16 16:54:24 EST
A problem with Intel i810/i815 video similar to what you describe was
fixed in X.Org 6.8.2 in rawhide.  We'll be releasing this as an update
for FC3 also very soon.  If you decide to retest FC3, be sure to 
update to the lastest FC3 updates first, and grab xorg-x11-6.8.2
from rawhide if we haven't updated it for FC3 yet.

You didn't mention what video hardware you're using so I can only
guess this is the problem you're seeing.  Please update the report
to indicate what video hardware you have, and I think it's safe
to conclude this is fixed now if it is Intel hardware.

Thanks in advance.

Setting status to "NEEDINFO"
Comment 6 Mihai Contras 2005-02-17 08:47:36 EST
Video hardware specs:
Vendor: ‎Intel Corp.
Description: ‎82810E CGC [Chipset Graphics Controller]
Media class: ‎DISPLAY_VGA
Bus: ‎PCI
Bus PCI #: ‎0
PCI device #: ‎1
PCI function #: ‎0
Vendor ID: ‎32902
Device ID: ‎28965
Sub vendor ID: ‎4156
Sub device ID: ‎4675
Module: ‎Card:Intel 810


Note You need to log in before you can comment on or make changes to this bug.